# Fish config file
fundle plugin 'decors/fish-colored-man'
fundle plugin 'oh-my-fish/theme-nai'

fundle init

# Man colors
set -g man_standout -o blue
set -g man_bold -o magenta

# Text Editor
export EDITOR="vim"
# ZFS GRUB
export ZPOOL_VDEV_NAME_PATH=1

# Aliases
alias f "fff"
alias tmux "tmux -2"
alias peerflix "peerflix -d"
alias xclip "xclip -selection clipboard"
alias xi "xbps-install -S"
alias xu "xbps-install -Su"
alias xr "xbps-remove -R"
alias xq "xbps-query -Rs"
alias wlan "iw dev wlp2s0 scan | grep SSID"

function fish_title
  true
end

# Compiler
export CC=/usr/bin/clang
export CXX=/usr/bin/clang++

# Additional paths
set PATH /opt/texlive/2019/bin/x86_64-linux/ /bin /usr/bin /usr/local/bin /usr/local/sbin /usr/sbin /sbin

# fff
## Directory color [0-9]
export FFF_COL1=3
export FFF_COL2=8
## Favourites (keys 1-9) (dir or file)
export FFF_FAV1=/home/coolneng/Nextcloud/Documents/Archive-uni/Second\ year/
export FFF_FAV2=/home/coolneng/Nextcloud/Documents/Papers
export FFF_FAV3=/home/coolneng/Nextcloud/Documents/Books/Academic/
export FFF_FAV4=/home/coolneng/Nextcloud/Documents/Extracurricular/

# Created by `userpath` on 2019-08-24 20:27:00
set PATH $PATH /root/.local/bin

# Created by `userpath` on 2019-08-24 20:27:58
set PATH $PATH /home/coolneng/.local/bin
